Delete a form

DELETE
/v1/forms/{id}

Deletes the form with every submission and uploaded file. Its endpoint answers 404 from then on.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The form's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The form was deleted.

application/json
  1. response
object*"form"
Value in"form"
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.forms.remove("form_01kd2m8n3p4q5r6s7t8v9w0x1y");
{  "object": "form",  "id": "form_01kd2m8n3p4q5r6s7t8v9w0x1y",  "deleted": true}